> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Folder

**REQUIRED GUIDES**

To remove a folder in Box you will need to provide our API with the ID of the
folder.

```sh cURL theme={null}
curl -i -X DELETE "https://api.box.com/2.0/folders/4353455" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
```

```typescript Node/TypeScript v10 theme={null}
await client.folders.deleteFolderById(newFolder.id);
```

```python Python v10 theme={null}
client.folders.delete_folder_by_id(new_folder.id)
```

```cs .NET v10 theme={null}
await client.Folders.DeleteFolderByIdAsync(folderId: newFolder.Id);
```

```swift Swift v10 theme={null}
try await client.folders.deleteFolderById(folderId: newFolder.id)
```

```java Java v10 theme={null}
client.getFolders().deleteFolderById(newFolder.getId())
```

```java Java v5 theme={null}
// Delete the folder and all its contents
BoxFolder folder = new BoxFolder(api, "id");
folder.delete(true);
```

```python Python v4 theme={null}
client.folder(folder_id='22222').delete()
```

```cs .NET v6 theme={null}
await client.FoldersManager.DeleteAsync("11111", recursive: true);
```

```javascript Node v4 theme={null}
client.folders.delete('12345', {recursive: true})
    .then(() => {
        // deletion succeeded — no value returned
    });
```

## Deleting non-empty folders

This API returns an error if the folder is not empty. When deleting a
folder, you can pass in the `recursive` parameter to force a
folder to be deleted even if it is not empty. This will delete all
items within this folder, including any of their descendants.

## Folder locking

The enterprise settings determine whether the folder will
be permanently deleted from Box or moved to the trash.

During this operation, part of the file tree will be locked, mainly
the source folder and all of its descendants.

For the duration of the operation, no other move, copy, delete, or restore
operation can be performed on any of the locked folders.

## Timeout

Timeout for this operation is 600 seconds. The operation will complete
after an `HTTP 503` has been returned.

**RELATED APIS**

**RELATED GUIDES**
